<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectName>S7ComX32</ProjectName>
    <Keyword>Win32Proj</Keyword>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <CharacterSet>NotSet</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <CharacterSet>NotSet</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <OutDir>..\Bin\Debug\</OutDir>
    <IntDir>$(Configuration)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
    <IncludePath>..\Include;$(IncludePath)</IncludePath>
    <LibraryPath>..\Lib\Debug;$(LibraryPath)</LibraryPath>
    <PreBuildEventUseInBuild>false</PreBuildEventUseInBuild>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <OutDir>..\Bin\</OutDir>
    <IntDir>$(Configuration)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
    <IncludePath>..\Include;$(IncludePath)</IncludePath>
    <LibraryPath>..\Lib;$(LibraryPath)</LibraryPath>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
      <InlineFunctionExpansion>Default</InlineFunctionExpansion>
      <FunctionLevelLinking>false</FunctionLevelLinking>
      <Optimization>Disabled</Optimization>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <WarningLevel>Level3</WarningLevel>
      <MinimalRebuild>false</MinimalRebuild>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <DisableSpecificWarnings>
      </DisableSpecificWarnings>
      <AdditionalIncludeDirectories>Include</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;_DEBUG;_WINDOWS;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <ExceptionHandling>false</ExceptionHandling>
      <SmallerTypeCheck>false</SmallerTypeCheck>
      <RuntimeTypeInfo>false</RuntimeTypeInfo>
    </ClCompile>
    <ResourceCompile>
      <Culture>0x040e</Culture>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>..\Include;Include</AdditionalIncludeDirectories>
      <UndefinePreprocessorDefinitions>
      </UndefinePreprocessorDefinitions>
      <IgnoreStandardIncludePath>
      </IgnoreStandardIncludePath>
    </ResourceCompile>
    <Link>
      <LinkDLL>true</LinkDLL>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Console</SubSystem>
      <BaseAddress>0x534B0000</BaseAddress>
      <Version>1.0</Version>
      <ModuleDefinitionFile>src\$(TargetName).def</ModuleDefinitionFile>
      <ImportLibrary>../Lib/Debug/$(TargetName).lib</ImportLibrary>
      <GenerateMapFile>true</GenerateMapFile>
      <ImageHasSafeExceptionHandlers>false</ImageHasSafeExceptionHandlers>
    </Link>
    <CustomBuild>
      <Command>ml /c /Cp /nologo /coff /Sa /Sn /Zd /Zi /D_DEBUG /I%(RootDir)VS\Include\ /I%(RootDir)%(Directory) /Fo$(IntDir)%(Filename).obj %(FullPath)</Command>
      <Message>Assembling %(Filename) ...</Message>
      <Outputs>$(IntDir)\%(Filename).obj</Outputs>
    </CustomBuild>
    <PreBuildEvent>
      <Command>..\Bin\BuildInc.exe $(ProjectDir)\Include\S7ComX32_Version.h</Command>
    </PreBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <InlineFunctionExpansion>OnlyExplicitInline</InlineFunctionExpansion>
      <StringPooling>true</StringPooling>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <Optimization>MaxSpeed</Optimization>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <WarningLevel>Level3</WarningLevel>
      <PreprocessorDefinitions>WIN32;NDEBUG;_WINDOWS;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <DisableSpecificWarnings>
      </DisableSpecificWarnings>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <AdditionalIncludeDirectories>Include</AdditionalIncludeDirectories>
      <MinimalRebuild>false</MinimalRebuild>
      <ExceptionHandling>false</ExceptionHandling>
      <SmallerTypeCheck>false</SmallerTypeCheck>
      <RuntimeTypeInfo>false</RuntimeTypeInfo>
    </ClCompile>
    <ResourceCompile>
      <Culture>0x040e</Culture>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>..\Include;Include</AdditionalIncludeDirectories>
      <UndefinePreprocessorDefinitions>
      </UndefinePreprocessorDefinitions>
      <IgnoreStandardIncludePath>
      </IgnoreStandardIncludePath>
    </ResourceCompile>
    <Link>
      <LinkDLL>true</LinkDLL>
      <SubSystem>Console</SubSystem>
      <ImportLibrary>../Lib/$(TargetName).lib</ImportLibrary>
      <AdditionalOptions> /ignore:4089</AdditionalOptions>
      <ModuleDefinitionFile>src\$(TargetName).def</ModuleDefinitionFile>
      <GenerateMapFile>true</GenerateMapFile>
      <GenerateDebugInformation>false</GenerateDebugInformation>
      <ImageHasSafeExceptionHandlers>false</ImageHasSafeExceptionHandlers>
    </Link>
    <CustomBuild>
      <Command>ml /c /Cp /nologo /coff /Sa /Sn /Zd /Zi /DNDEBUG /I%(RootDir)VS\Include\ /I%(RootDir)%(Directory) /Fo$(IntDir)%(Filename).obj %(FullPath)</Command>
      <Message>Assembling %(Filename) ...</Message>
      <Outputs>$(IntDir)\%(Filename).obj</Outputs>
    </CustomBuild>
    <PreBuildEvent>
      <Command>..\Bin\BuildInc.exe $(ProjectDir)\Include\S7ComX32_Version.h</Command>
    </PreBuildEvent>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClInclude Include="..\Include\S7Com32.h" />
    <ClInclude Include="..\Include\S7ComX32.h" />
    <ClInclude Include="Include\S7ComX32_Res.h" />
    <ClInclude Include="Include\S7ComX32_Version.h" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="Src\S7ComX32.c" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Src\S7ComX32.def" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="Res\S7ComX32.rc" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>